summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSimon Glass <sjg@chromium.org>2020-03-18 09:42:59 -0600
committerTom Rini <trini@konsulko.com>2020-04-10 21:33:09 -0400
commitcec1e856d3d40544fdf8d4d71e4805963c537c18 (patch)
tree011deac1e03d6a3862cf4f205b4ce504d0dbf998
parente28e9db69c4326a0f1339b94cfcd195441b8e31f (diff)
downloadu-boot-cec1e856d3d40544fdf8d4d71e4805963c537c18.tar.gz
travis/gitlab/azure: Simplify the exit code for test.py
It seems unnecessary to read the exit code and then check it again. Drop this and just let the test.py provide the exit code directly. Signed-off-by: Simon Glass <sjg@chromium.org> Reviewed-by: Tom Rini <trini@konsulko.com>
-rw-r--r--.azure-pipelines.yml4
-rw-r--r--.gitlab-ci.yml6
-rw-r--r--.travis.yml6
3 files changed, 2 insertions, 14 deletions
diff --git a/.azure-pipelines.yml b/.azure-pipelines.yml
index 219b79e7b3..48fb1b8e61 100644
--- a/.azure-pipelines.yml
+++ b/.azure-pipelines.yml
@@ -278,10 +278,6 @@ jobs:
export PYTHONPATH=/tmp/uboot-test-hooks/py/travis-ci;
# "${var:+"-k $var"}" expands to "" if $var is empty, "-k $var" if not
./test/py/test.py --bd ${TEST_PY_BD} ${TEST_PY_ID} ${TEST_PY_TEST_SPEC:+"-k ${TEST_PY_TEST_SPEC}"} --build-dir "$UBOOT_TRAVIS_BUILD_DIR";
- ret=$?;
- if [[ $ret -ne 0 ]]; then
- exit $ret;
- fi
# the below corresponds to .gitlab-ci.yml "after_script"
rm -rf /tmp/uboot-test-hooks /tmp/venv
EOF
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 59f7f0b8bc..c64911207f 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -54,11 +54,7 @@ stages:
export PYTHONPATH=/tmp/uboot-test-hooks/py/travis-ci;
./test/py/test.py --bd ${TEST_PY_BD} ${TEST_PY_ID}
${TEST_PY_TEST_SPEC:+"-k ${TEST_PY_TEST_SPEC}"}
- --build-dir "$UBOOT_TRAVIS_BUILD_DIR";
- ret=$?;
- if [[ $ret -ne 0 ]]; then
- exit $ret;
- fi
+ --build-dir "$UBOOT_TRAVIS_BUILD_DIR"
build all 32bit ARM platforms:
tags: [ 'all' ]
diff --git a/.travis.yml b/.travis.yml
index ba005f7d12..176cf0c6f2 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -245,11 +245,7 @@ script:
pip install -r test/py/requirements.txt;
./test/py/test.py --bd ${TEST_PY_BD} ${TEST_PY_ID}
${TEST_PY_TEST_SPEC:+"-k ${TEST_PY_TEST_SPEC}"}
- --build-dir "$UBOOT_TRAVIS_BUILD_DIR";
- ret=$?;
- if [[ $ret -ne 0 ]]; then
- exit $ret;
- fi;
+ --build-dir "$UBOOT_TRAVIS_BUILD_DIR" || exit;
if [[ -n "${TEST_PY_TOOLS}" ]]; then
export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt";
export PATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc:${PATH}";